Get Rates
curl --request GET \
--url https://api.usepooler.com/fx/rates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/fx/rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/fx/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/fx/rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/fx/rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/fx/rates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/fx/rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"currency": "<string>",
"processing_fee": "<string>",
"rate_in_usd": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}FX
Get Rates
Retrieve current foreign exchange rates for supported currencies.
GET
/
fx
/
rates
Get Rates
curl --request GET \
--url https://api.usepooler.com/fx/rates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usepooler.com/fx/rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usepooler.com/fx/rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usepooler.com/fx/rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usepooler.com/fx/rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usepooler.com/fx/rates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usepooler.com/fx/rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": [
{
"currency": "<string>",
"processing_fee": "<string>",
"rate_in_usd": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Retrieve current foreign exchange rates for supported currencies. This endpoint provides real-time exchange rates for all supported currency pairs.
Overview
This endpoint returns the current foreign exchange rates for all supported currencies. Rates are updated regularly and include processing fees.Response
array
Array of FX rate objects, each containing:
currency: Currency code (e.g., “USD”, “NGN”, “KES”)processing_fee: Processing fee percentagerate_in_usd: Exchange rate relative to USDupdated_at: Timestamp when rate was last updated
Exchange rates are updated in real-time. Always fetch fresh rates before initiating currency conversion transactions.
⌘I